require "link"
require "menu"
require "options"
require "startup"


function love.load()

	--Fonts--
	title = love.graphics.newFont("fonts/title.ttf",75)

	small = love.graphics.newFont("fonts/00TT.TTF",25)
	medium = love.graphics.newFont("fonts/00TT.TTF",37)
	large = love.graphics.newFont("fonts/00TT.TTF",54)
	--     --
	--Colors--
	alpha = 255
	buttonblue = 255
	buttonred = 255
	buttongreen = 255
	bgred = 255
	bggreen = 255
	bgblue = 255
	lred = 255
	lgreen = 255
	lblue = 255


	--GAMESTATE-- 
	gamestate = "startup"
	--         --

	--Menu--
	menuload = true
	--    --
	love.graphics.setBackgroundColor(bgred,bggreen,bgblue)
end
function love.update(dt)
	if menuload == true then
		button:spawn(5,200,"Start","start")
		button:spawn(5,350,"Options","options")
		button:spawn(5,600,"Quit","quit")
		menuload = false
	end	
	start_mech(dt)

end
function love.mousepressed(x,y)
	button:check(x,y)
end
function love.draw()
	menu_draw()
	button:draw()
	start_draw()

end




