--Here's an example
--made it as an example for a friend, but ended up using it in the game.

--This is an empty table called button
button = {}

--This function inserts a set of variables into the table.
function button:spawn(x,y,text,id)
	table.insert(button, {x = x, y = y, text = text, id = id})
end

function button:draw()
	if gamestate == "menu" then
		mousex = love.mouse.getX()--Get the mouses x position and set it to the variable "mousex"
		mousey = love.mouse.getY()--Get the mouses y position and set it to the variable "mousey"
		for i,v in ipairs(button) do --This runs through every variable inside of the table "button". It is the one loop that you will always use to control variables, inside of tables.
		
			--This checks if the mouse is over the button, and if it is, set the color to (0,255,255). And If it isn't. set it to black.
			if mousex > v.x and --When you are reffering to variables inside of a table, you type a "v" before the variable name
			mousex < v.x + medium:getWidth(v.text) and
			mousey > v.y and
			mousey < v.y + medium:getHeight() then
				love.graphics.setColor(0,255,255,alpha)
			else
				love.graphics.setColor(0,0,0,alpha)
			end	
			--After it sets the color, it prints the button's text, which was set in button:spawn
			love.graphics.setFont(medium)
			love.graphics.print(v.text,v.x,v.y)
		end
	end
end
function button:check(x,y)
	--This function is put inside of main.lua, under "function love.mousepressed()" it checks if you are clicking a button.
	for i,v in ipairs(button) do--Again, we use this, so we can control the variables inside of the table "button"
		if x > v.x and
		x < v.x + medium:getWidth(v.text) and
		y > v.y and
		y < v.y + medium:getHeight() then
				--Here is where the "id" variable inside of "button:spawn(x,y,text,id)" comes in handy. It's used so you know
				--Which button is which
			if v.id == "start" then
				gamestate = "playing"
			end
			if v.id == "options" then
				gamestate = "options"
			end
			if v.id == "quit" then
				love.event.push("quit")
			end
		end
	end
end	


--NOW! you would use "button:spawn" inside of "function love.load()" so that you have all of the variables set, and ready. If that makes sense.
--If not. I will be filming a tutorial tonight about this:)

--This is how I drew my menu.
function menu_draw()
	if gamestate == "menu" then
		love.graphics.setColor(0,0,0)
		love.graphics.setFont(title)
		love.graphics.print("The Adventures Of L1nk", 900 / 2 - (title:getWidth("The Adventures Of L1nk") / 2),5)

	end
end